Subject: Re: [PATCH v2 0/5] t/unit-tests: improve clar platform compatibility

From: Bagas Sanjaya <[email-masked]>
Date: Sat, 26 Oct 2024 12:01:18 +0700

On Mon, Oct 21, 2024 at 12:56:30PM +0200, Patrick Steinhardt wrote:
> Hi,
> 
> this is the second version of my patch series that addresses some
> platform compatibility issues with clar. Changes compared to v1:
> 
>   - I've merged the CMake fixes at [1] into this patch series to avoid
>     conflicts. @Taylor, please drop that other series, which is
>     "ps/cmake-clar".
> 
>   - I've fixed up the "generate-clar-decls.h" script.
> 
>   - I've updated the clar such that it includes upstreamed changes for
>     improved uClibc support when we lack support for `wchar_t`.
> 

Git builds successfully on Buildroot (aarch64 uClibc with and without wchar,
aarch64 glibc).

Tested-by: Bagas Sanjaya <[email-masked]>

-- 
An old man doll... just what I always wanted! - Clara